<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Create jQuery UI autocomplete with PostgreSQL PHP and AJAX</title>


	<!-- jQuery UI -->
	 <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
	
</head>
<body>

	<!-- For defining autocomplete -->
   	Search User : <input type="text" id='autocomplete'> <br><br>

   	<!-- For displaying selected option value from autocomplete suggestion -->
   	Selected UserID : <input type="text" id='selectuser_id' readonly>

	<!-- Script -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
 	<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
	<script type="text/javascript">
	$(document).ready(function(){

	 	// Single Select
	 	$( "#autocomplete" ).autocomplete({
	  		source: function( request, response ) {
	   			// Fetch data
		   		$.ajax({
		    		url: "ajaxfile.php",
		    		type: 'post',
		    		dataType: "json",
		    		data: {
		     			search: request.term
		    		},
		    		success: function( data ) {
		     			response( data );
		    		}
		   		});
		  	},
		  	select: function (event, ui) {
		     	// Set selection
		     	$('#autocomplete').val(ui.item.label); // display the selected text
		     	$('#selectuser_id').val(ui.item.value); // save selected id to input
		     	return false;
		  	},
		  	focus: function(event, ui){
		     	$( "#autocomplete" ).val( ui.item.label );
		     	$( "#selectuser_id" ).val( ui.item.value );
		     	return false;
		   	},
		});

	});

	</script>
</body>
</html>